import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';

class DrawDetailBottomNavbar extends StatelessWidget {
  final TabsRouter tabsRouter;
  const DrawDetailBottomNavbar({super.key, required this.tabsRouter});

  @override
  Widget build(BuildContext context) {
    return BottomNavigationBar(
      currentIndex: tabsRouter.activeIndex,
      onTap: (index) {
        tabsRouter.setActiveIndex(index);
      },
      items: const [
        BottomNavigationBarItem(
          icon: Icon(Icons.today),
          label: 'Hari Ini',
          tooltip: 'Hari Ini',
        ),
        BottomNavigationBarItem(
          icon: Icon(Icons.confirmation_number),
          label: 'Nomorku',
          tooltip: 'Nomorku',
        ),
        BottomNavigationBarItem(
          icon: Icon(Icons.emoji_events),
          label: 'Pemenang',
          tooltip: 'Pemenang',
        ),
        BottomNavigationBarItem(
          icon: Icon(Icons.info),
          label: 'Hadiah & Info',
          tooltip: 'Hadiah & Info',
        ),
      ],
    );
  }
}
